import request from '@/utils/request'
import {download} from '@/utils/request'

// 查询通用数据配置表列表
export function listCurrencyConfig(query) {
    return request({
        url: '/currencyConfig/currencyConfig/list',
        method: 'get',
        params: query
    })
}

// 查询通用数据配置表详细
export function getCurrencyConfig(id) {
    return request({
        url: '/currencyConfig/currencyConfig/' + id,
        method: 'get'
    })
}

// 新增通用数据配置表
export function addCurrencyConfig(data) {
    return request({
        url: '/currencyConfig/currencyConfig',
        method: 'post',
        data: data
    })
}

// 修改通用数据配置表
export function updateCurrencyConfig(data) {
    return request({
        url: '/currencyConfig/currencyConfig',
        method: 'put',
        data: data
    })
}

// 删除通用数据配置表
export function delCurrencyConfig(id) {
    return request({
        url: '/currencyConfig/currencyConfig/' + id,
        method: 'delete'
    })
}

// 导出通用数据配置表
export function downloadCurrencyConfig(data) {
    download(
        '/currencyConfig/currencyConfig/export',
        data,
        `currencyConfig_${new Date().getTime()}.xlsx`)
}
